Package org.springframework.transaction.support

# Class TransactionSynchronizationAdapter

java.lang.Object
org.springframework.transaction.support.TransactionSynchronizationAdapter

All Implemented Interfaces:
  `Flushable`, `org.springframework.core.Ordered`, `TransactionSynchronization`

@Deprecated(since="5.3") public abstract class TransactionSynchronizationAdapter extends Object implements TransactionSynchronization, org.springframework.core.Ordered
Deprecated.
as of 5.3, in favor of the default methods on the `TransactionSynchronization` interface
Simple `TransactionSynchronization` adapter containing empty method implementations, for easier overriding of single methods.

Also implements the `Ordered` interface to enable the execution order of synchronizations to be controlled declaratively. The default `order` is `Ordered.LOWEST_PRECEDENCE`, indicating late execution; return a lower value for earlier execution.

Since:
  22.01.2004
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization

`STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`TransactionSynchronizationAdapter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterCommit()`
Deprecated.
Invoked after transaction commit.
`void`
`afterCompletion(int status)`
Deprecated.
Invoked after transaction commit/rollback.
`void`
`beforeCommit(boolean readOnly)`
Deprecated.
Invoked before transaction commit (before "beforeCompletion").
`void`
`beforeCompletion()`
Deprecated.
Invoked before transaction commit/rollback.
`void`
`flush()`
Deprecated.
Flush the underlying session to the datastore, if applicable: for example, a Hibernate/JPA session.
`int`
`getOrder()`
Deprecated.
Return the execution order for this transaction synchronization.
`void`
`resume()`
Deprecated.
Resume this synchronization.
`void`
`suspend()`
Deprecated.
Suspend this synchronization.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.transaction.support.TransactionSynchronization

`savepoint, savepointRollback`

## Constructor Details

### TransactionSynchronizationAdapter

public TransactionSynchronizationAdapter()
Deprecated.

## Method Details

### getOrder

public int getOrder()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Return the execution order for this transaction synchronization.

Default is `Ordered.LOWEST_PRECEDENCE`.

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`
Specified by:
  `getOrder` in interface `TransactionSynchronization`

### suspend

public void suspend()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Suspend this synchronization. Supposed to unbind resources from TransactionSynchronizationManager if managing any.

Specified by:
  `suspend` in interface `TransactionSynchronization`
See Also:
  - `TransactionSynchronizationManager.unbindResource(java.lang.Object)`

### resume

public void resume()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Resume this synchronization. Supposed to rebind resources to TransactionSynchronizationManager if managing any.

Specified by:
  `resume` in interface `TransactionSynchronization`
See Also:
  - `TransactionSynchronizationManager.bindResource(java.lang.Object, java.lang.Object)`

### flush

public void flush()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Flush the underlying session to the datastore, if applicable: for example, a Hibernate/JPA session.

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in interface `TransactionSynchronization`
See Also:
  - `TransactionStatus.flush()`

### beforeCommit

public void beforeCommit(boolean readOnly)
Deprecated.
Description copied from interface: `TransactionSynchronization`
Invoked before transaction commit (before "beforeCompletion"). Can, for example, flush transactional O/R Mapping sessions to the database.

This callback does not mean that the transaction will actually be committed. A rollback decision can still occur after this method has been called. This callback is rather meant to perform work that's only relevant if a commit still has a chance to happen, such as flushing SQL statements to the database.

Note that exceptions will get propagated to the commit caller and cause a rollback of the transaction.

Specified by:
  `beforeCommit` in interface `TransactionSynchronization`
Parameters:
  `readOnly` - whether the transaction is defined as read-only transaction
See Also:
  - `TransactionSynchronization.beforeCompletion()`

### beforeCompletion

public void beforeCompletion()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Invoked before transaction commit/rollback. Can perform resource cleanup before transaction completion.

This method will be invoked after `beforeCommit`, even when `beforeCommit` threw an exception. This callback allows for closing resources before transaction completion, for any outcome.

Specified by:
  `beforeCompletion` in interface `TransactionSynchronization`
See Also:
  - `TransactionSynchronization.beforeCommit(boolean)`
  - `TransactionSynchronization.afterCompletion(int)`

### afterCommit

public void afterCommit()
Deprecated.
Description copied from interface: `TransactionSynchronization`
Invoked after transaction commit. Can perform further operations right after the main transaction has successfully committed.

Can, for example, commit further operations that are supposed to follow on a successful commit of the main transaction, like confirmation messages or emails.

NOTE: The transaction will have been committed already, but the transactional resources might still be active and accessible. As a consequence, any data access code triggered at this point will still "participate" in the original transaction, allowing to perform some cleanup (with no commit following anymore!), unless it explicitly declares that it needs to run in a separate transaction. Hence: Use `PROPAGATION_REQUIRES_NEW` for any transactional operation that is called from here.

Specified by:
  `afterCommit` in interface `TransactionSynchronization`

### afterCompletion

public void afterCompletion(int status)
Deprecated.
Description copied from interface: `TransactionSynchronization`
Invoked after transaction commit/rollback. Can perform resource cleanup after transaction completion.

NOTE: The transaction will have been committed or rolled back already, but the transactional resources might still be active and accessible. As a consequence, any data access code triggered at this point will still "participate" in the original transaction, allowing to perform some cleanup (with no commit following anymore!), unless it explicitly declares that it needs to run in a separate transaction. Hence: Use `PROPAGATION_REQUIRES_NEW` for any transactional operation that is called from here.

Specified by:
  `afterCompletion` in interface `TransactionSynchronization`
Parameters:
  `status` - completion status according to the `STATUS_*` constants
See Also:
  - `TransactionSynchronization.STATUS_COMMITTED`
  - `TransactionSynchronization.STATUS_ROLLED_BACK`
  - `TransactionSynchronization.STATUS_UNKNOWN`
  - `TransactionSynchronization.beforeCompletion()`